--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: The Accessors module defines accessor methods for ID3 text frames.
- !ruby/struct:SM::Flow::H 
  level: 3
  text: Most used accessors
- !ruby/struct:SM::Flow::P 
  body: "Here's a list of the most used accessors:"
- !ruby/object:SM::Flow::LIST 
  contents: 
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#title"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#performer or #artist"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#album"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#genre or #content_type"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#year"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#track"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#part_of_set or #disc"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#comment or #comment_frames"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#composer"
  - !ruby/struct:SM::Flow::LI 
    label: "*"
    body: "#bpm"
  type: :BULLET
constants: []

full_name: ID3Lib::Accessors
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: album
- !ruby/object:RI::MethodSummary 
  name: album=
- !ruby/object:RI::MethodSummary 
  name: artist
- !ruby/object:RI::MethodSummary 
  name: artist=
- !ruby/object:RI::MethodSummary 
  name: band
- !ruby/object:RI::MethodSummary 
  name: band=
- !ruby/object:RI::MethodSummary 
  name: bpm
- !ruby/object:RI::MethodSummary 
  name: bpm=
- !ruby/object:RI::MethodSummary 
  name: comment
- !ruby/object:RI::MethodSummary 
  name: comment=
- !ruby/object:RI::MethodSummary 
  name: comment_frames
- !ruby/object:RI::MethodSummary 
  name: composer
- !ruby/object:RI::MethodSummary 
  name: composer=
- !ruby/object:RI::MethodSummary 
  name: conductor
- !ruby/object:RI::MethodSummary 
  name: conductor=
- !ruby/object:RI::MethodSummary 
  name: content_type
- !ruby/object:RI::MethodSummary 
  name: content_type=
- !ruby/object:RI::MethodSummary 
  name: date
- !ruby/object:RI::MethodSummary 
  name: date=
- !ruby/object:RI::MethodSummary 
  name: disc
- !ruby/object:RI::MethodSummary 
  name: disc=
- !ruby/object:RI::MethodSummary 
  name: encoded_by
- !ruby/object:RI::MethodSummary 
  name: encoded_by=
- !ruby/object:RI::MethodSummary 
  name: genre
- !ruby/object:RI::MethodSummary 
  name: genre=
- !ruby/object:RI::MethodSummary 
  name: grouping
- !ruby/object:RI::MethodSummary 
  name: grouping=
- !ruby/object:RI::MethodSummary 
  name: interpreted_by
- !ruby/object:RI::MethodSummary 
  name: interpreted_by=
- !ruby/object:RI::MethodSummary 
  name: language
- !ruby/object:RI::MethodSummary 
  name: language=
- !ruby/object:RI::MethodSummary 
  name: lyricist
- !ruby/object:RI::MethodSummary 
  name: lyricist=
- !ruby/object:RI::MethodSummary 
  name: lyrics
- !ruby/object:RI::MethodSummary 
  name: lyrics=
- !ruby/object:RI::MethodSummary 
  name: part_of_set
- !ruby/object:RI::MethodSummary 
  name: part_of_set=
- !ruby/object:RI::MethodSummary 
  name: performer
- !ruby/object:RI::MethodSummary 
  name: performer=
- !ruby/object:RI::MethodSummary 
  name: publisher
- !ruby/object:RI::MethodSummary 
  name: publisher=
- !ruby/object:RI::MethodSummary 
  name: remixed_by
- !ruby/object:RI::MethodSummary 
  name: remixed_by=
- !ruby/object:RI::MethodSummary 
  name: subtitle
- !ruby/object:RI::MethodSummary 
  name: subtitle=
- !ruby/object:RI::MethodSummary 
  name: time
- !ruby/object:RI::MethodSummary 
  name: time=
- !ruby/object:RI::MethodSummary 
  name: title
- !ruby/object:RI::MethodSummary 
  name: title=
- !ruby/object:RI::MethodSummary 
  name: track
- !ruby/object:RI::MethodSummary 
  name: track=
- !ruby/object:RI::MethodSummary 
  name: year
- !ruby/object:RI::MethodSummary 
  name: year=
name: Accessors
superclass: 
